> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gravitex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List asset groups (ListAssetGroups)

> ListAssetGroups — POST /api/v3/seedance

## Introduction

Query asset groups by filter. `Filter.GroupType` is required.

## Authentication

<ParamField header="Authorization" type="string" required>
  Bearer Token, e.g. `Bearer sk-your_token_key`
</ParamField>

## Request parameters

<ParamField body="Filter.GroupIds" type="array">
  Filter by asset group IDs
</ParamField>

<ParamField body="Filter.GroupType" type="string" required>
  `AIGC` / `LivenessFace`
</ParamField>

<ParamField body="Filter.Name" type="string">
  Fuzzy search by name
</ParamField>

<ParamField body="PageNumber" type="integer">
  Page number, starting at 1
</ParamField>

<ParamField body="PageSize" type="integer">
  Page size, max 100
</ParamField>

<ParamField body="SortBy" type="string" default="CreateTime">
  `CreateTime` / `UpdateTime`
</ParamField>

<ParamField body="SortOrder" type="string" default="Desc">
  `Asc` / `Desc`
</ParamField>

<ParamField body="ProjectName" type="string" default="default">
  Project name
</ParamField>

## Request example

```bash theme={null}
curl -X POST "https://api.gravitex.ai/api/v3/seedance?Action=ListAssetGroups&Version=2024-01-01" \
  -H "Authorization: Bearer sk-your_token_key" \
  -H "Content-Type: application/json" \
  -d '{"Filter": {"GroupType": "AIGC"}, "PageNumber": 1, "PageSize": 10}'
```

## Response example

```json theme={null}
{
  "ResponseMetadata": {"Action": "ListAssetGroups"},
  "Result": {
    "TotalCount": 1,
    "Items": [
      {
        "Id": "group-20260710-abcde",
        "Name": "角色A",
        "Title": "角色A",
        "Description": "测试角色",
        "GroupType": "AIGC",
        "ProjectName": "default",
        "CreateTime": "2026-07-10T00:00:00Z",
        "UpdateTime": "2026-07-10T00:00:00Z"
      }
    ],
    "PageNumber": 1,
    "PageSize": 10
  }
}
```
